Package docking.widgets.fieldpanel.support

# Class SingleRowLayout

java.lang.Object
docking.widgets.fieldpanel.support.RowLayout
docking.widgets.fieldpanel.support.SingleRowLayout

All Implemented Interfaces:
  `Layout`

public class SingleRowLayout extends RowLayout
Convienence class for SingleRowLayout. It provides numerous constructors to make it easier to create RowLayouts.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleRowLayout(Field field1)`
  Construct a SingleRowLayout with a single field.
  `SingleRowLayout(Field[] fields)`
  Construct a SingleRowLayout from a list of fields.
  `SingleRowLayout(Field[] fields, int rowNum)`
  Construct a SingleRowLayout from a list of fields.
  `SingleRowLayout(Field field1, Field field2)`
  Construct a SingleRowLayout with two fields.
  `SingleRowLayout(Field field1, Field field2, Field field3)`
  Construct a SingleRowLayout with three fields.
  `SingleRowLayout(Field field1, Field field2, Field field3, Field field4)`
  Construct a SingleRowLayout with four fields.
  `SingleRowLayout(Field field1, Field field2, Field field3, Field field4, Field field5)`
  Construct a SingleRowLayout with five fields.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class docking.widgets.fieldpanel.support.RowLayout

  `contains, cursorBeginning, cursorDown, cursorEnd, cursorLeft, cursorRight, cursorUp, enterLayout, getBeginRowFieldNum, getCompressableWidth, getCursorRect, getEndRowFieldNum, getField, getFieldBounds, getFieldIndex, getHeight, getHeightAbove, getHeightBelow, getIndexSize, getNumFields, getPrimaryOffset, getRowID, getScrollableUnitIncrement, insertSpaceAbove, insertSpaceBelow, paint, setCursor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SingleRowLayout

    public SingleRowLayout(Field field1)
    Construct a SingleRowLayout with a single field.
    Parameters:
      `field1` - the single field in this layout

  - ### SingleRowLayout

    public SingleRowLayout(Field field1, Field field2)
    Construct a SingleRowLayout with two fields.
    Parameters:
      `field1` - the first field in the layout.
      `field2` - the second field in the layout.

  - ### SingleRowLayout

    public SingleRowLayout(Field field1, Field field2, Field field3)
    Construct a SingleRowLayout with three fields.
    Parameters:
      `field1` - the first field in the layout.
      `field2` - the second field in the layout.
      `field3` - the third field in the layout.

  - ### SingleRowLayout

    public SingleRowLayout(Field field1, Field field2, Field field3, Field field4)
    Construct a SingleRowLayout with four fields.
    Parameters:
      `field1` - the first field in the layout.
      `field2` - the second field in the layout.
      `field3` - the third field in the layout.
      `field4` - the fourth field in the layout,

  - ### SingleRowLayout

    public SingleRowLayout(Field field1, Field field2, Field field3, Field field4, Field field5)
    Construct a SingleRowLayout with five fields.
    Parameters:
      `field1` - the first field in the layout.
      `field2` - the second field in the layout.
      `field3` - the third field in the layout.
      `field4` - the fourth field in the layout.
      `field5` - the fifth field in the layout.

  - ### SingleRowLayout

    public SingleRowLayout(Field[] fields, int rowNum)
    Construct a SingleRowLayout from a list of fields.
    Parameters:
      `fields` - an array of fields to put in this layout
      `rowNum` - the row number of the layout within a multiRow layout.

  - ### SingleRowLayout

    public SingleRowLayout(Field[] fields)
    Construct a SingleRowLayout from a list of fields.
    Parameters:
      `fields` - an array of fields to put in this layout

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RowLayout`